diff -pruN 0.4.3-3/debian/changelog 0.4.3-4/debian/changelog
--- 0.4.3-3/debian/changelog	2024-03-13 17:48:38.000000000 +0000
+++ 0.4.3-4/debian/changelog	2024-05-05 19:48:57.000000000 +0000
@@ -1,3 +1,9 @@
+dino-im (0.4.3-4) unstable; urgency=medium
+
+  * Add patch to fix compatibility with valac 0.56.17 (Closes: #1070457)
+
+ -- Martin <debacle@debian.org>  Sun, 05 May 2024 19:48:57 +0000
+
 dino-im (0.4.3-3) unstable; urgency=medium
 
   * Add upstream commit to fix implicit-function-declaration (Closes: #1066528)
diff -pruN 0.4.3-3/debian/patches/fix-compatibility-with-valac-0.56.17.patch 0.4.3-4/debian/patches/fix-compatibility-with-valac-0.56.17.patch
--- 0.4.3-3/debian/patches/fix-compatibility-with-valac-0.56.17.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.4.3-4/debian/patches/fix-compatibility-with-valac-0.56.17.patch	2024-05-05 19:47:07.000000000 +0000
@@ -0,0 +1,23 @@
+Description: Added array_length=false attribute for subkeys and uids
+Author: Maxim Logaev <maxlogaev@proton.me>
+Origin: upstream
+Bug: https://github.com/dino/dino/issues/1576
+Bug-Debian: https://bugs.debian.org/1070457
+Applied-Upstream: c83e67354a0ce7a82ab5cfdba92ef6b1146c55cf
+Last-Update: 2024-05-05
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/plugins/gpgme-vala/vapi/gpgme_public.vapi
++++ b/plugins/gpgme-vala/vapi/gpgme_public.vapi
+@@ -22,9 +22,9 @@
+     public string issuer_name;
+     public string chain_id;
+     public Validity owner_trust;
+-    [CCode(array_null_terminated = true)]
++    [CCode(array_length = false, array_null_terminated = true)]
+     public SubKey[] subkeys;
+-    [CCode(array_null_terminated = true)]
++    [CCode(array_length = false, array_null_terminated = true)]
+     public UserID[] uids;
+     public KeylistMode keylist_mode;
+     // public string fpr; // requires gpgme >= 1.7.0
diff -pruN 0.4.3-3/debian/patches/series 0.4.3-4/debian/patches/series
--- 0.4.3-3/debian/patches/series	2024-03-13 17:43:07.000000000 +0000
+++ 0.4.3-4/debian/patches/series	2024-05-05 19:41:11.000000000 +0000
@@ -2,3 +2,4 @@ fix_implicit-function-declaration_compil
 rename-to-dino-im.patch
 fix_library_path.patch
 fix_customvapi_path.patch
+fix-compatibility-with-valac-0.56.17.patch
